0

I am trying to install qt4 dev. tools on bananapi. During installation half of the way, I got this error message:

dpkg was interrupted, you must manually run 'sudo dpkg --configure -a'to correct the problem

I tried this too then i get the error:

[dpkg: error: failed to open package info file /var/lib/dpkg/updates/0049 for reading: Input/output error]

Tried to remove the '0049' from the updates, but couldn't.

Output of uname -a:

Linux bpi-iot-ros-ai 3.10.65-BPI-M2U-Kernel #1 SMP Thu May 25 11:46:04 CST 2017 armv7l GNU/Linux
  • Your filesystem has become corrupted, or the disk behind it. It could be because of a bug in the kernel, or more probably the quality of the SD card (or various other reasons). fsck will have to be run somehow, either by you or by the system at next reboot. Think about salvaging data while you can – A.B Aug 26 '18 at 2:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.